Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IStream Class Reference

Interface that exposes the properties common to all Stream objects. More...

`#include <Stream.h>`

Inheritance diagram for Argus::IStream:

List of all members.

## Public Member Functions

virtual Status | waitUntilConnected (uint64_t timeout=TIMEOUT_INFINITE) const =0
| Waits until both the producer and consumer endpoints of the stream are connected.
virtual void | disconnect ()=0
| Disconnects the stream from the underlying EGLStream.
virtual PixelFormat | getPixelFormat () const =0
| Returns the format of the stream.
virtual Size | getResolution () const =0
| Returns the image resolution of the stream, in pixels.
virtual EGLDisplay | getEGLDisplay () const =0
| Returns the EGLDisplay the stream's EGLStream belongs to.
virtual EGLStreamKHR | getEGLStream () const =0
| Returns the EGLStream backing the stream.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IStream ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface that exposes the properties common to all Stream objects.

Definition at line 76 of file Stream.h.

## Constructor & Destructor Documentation

Argus::IStream::~IStream | ( |  | ) |

inlineprotected

Definition at line 116 of file Stream.h.

## Member Function Documentation

virtual void Argus::IStream::disconnect | ( |  | ) |

pure virtual

Disconnects the stream from the underlying EGLStream.

virtual EGLDisplay Argus::IStream::getEGLDisplay | ( |  | ) | const

pure virtual

Returns the EGLDisplay the stream's EGLStream belongs to.

virtual EGLStreamKHR Argus::IStream::getEGLStream | ( |  | ) | const

pure virtual

Returns the EGLStream backing the stream.

virtual PixelFormat Argus::IStream::getPixelFormat | ( |  | ) | const

pure virtual

Returns the format of the stream.

virtual Size Argus::IStream::getResolution | ( |  | ) | const

pure virtual

Returns the image resolution of the stream, in pixels.

static const InterfaceID& Argus::IStream::id | ( |  | ) |

inlinestatic

Definition at line 79 of file Stream.h.

virtual Status Argus::IStream::waitUntilConnected | ( | uint64_t | timeout = `TIMEOUT_INFINITE` | ) | const

pure virtual

Waits until both the producer and consumer endpoints of the stream are connected.

Parameters:

  [in] | timeout | The timeout in nanoseconds.

Returns:
  success/status of this call.

The documentation for this class was generated from the following file:

- include/Argus/Stream.h